Index: wsdl/abac.wsdl
===================================================================
--- wsdl/abac.wsdl	(revision c49d81bcc44bdf2e20dbf5d5659ba7ae56e994e0)
+++ wsdl/abac.wsdl	(revision 4c8a0b7c371ef37b8f2a8b9f4d8e79da4da4d0aa)
@@ -34,17 +34,17 @@
 
   <message name="AccessRequestMessage">
-    <part name="NegotiationContext" type="xsd1:negotiationRequest"/>
+    <part name="AccessRequestBody" type="xsd1:negotiationRequest"/>
   </message>
 
   <message name="AccessResponseMessage">
-    <part name="NegotiationResult" type="xsd1:negotiationResult"/>
+    <part name="AccessResponseBody" type="xsd1:negotiationResult"/>
   </message>
 
   <message name="CreateContextRequestMessage">
-    <part name="ContextIn" type="xsd1:contextInfo"/>
+    <part name="CreateContextRequestBody" type="xsd1:contextInfo"/>
   </message>
 
   <message name="CreateContextResponseMessage">
-    <part name="ContextOut" type="xsd1:contextInfo"/>
+    <part name="CreateContextResponseBody" type="xsd1:contextInfo"/>
   </message>
 
Index: wsdl/abac_types.xsd
===================================================================
--- wsdl/abac_types.xsd	(revision c49d81bcc44bdf2e20dbf5d5659ba7ae56e994e0)
+++ wsdl/abac_types.xsd	(revision 4c8a0b7c371ef37b8f2a8b9f4d8e79da4da4d0aa)
@@ -34,8 +34,6 @@
   <xsd:complexType name="negotiationRequest">
     <xsd:sequence>
-      <xsd:element name="context" type="tns:contextInfo"
-	minOccurs="1" maxOccurs="1"/>
-      <xsd:element name="goal" type="xsd:string"
-	minOccurs="1" maxOccurs="1"/>
+      <xsd:element name="context" type="tns:contextInfo"/>
+      <xsd:element name="goal" type="xsd:string"/>
     </xsd:sequence>
   </xsd:complexType>
@@ -43,8 +41,6 @@
   <xsd:complexType name="negotiationResult">
     <xsd:sequence>
-      <xsd:element name="goal" type="xsd:string"
-	minOccurs="1" maxOccurs="1"/>
-      <xsd:element name="result" type="xsd:string"
-	minOccurs="1" maxOccurs="1"/>
+      <xsd:element name="goal" type="xsd:string"/>
+      <xsd:element name="result" type="xsd:string"/>
       <xsd:element name="provenance" type="xsd:string"
 	minOccurs="0" maxOccurs="1"/>
@@ -68,21 +64,18 @@
 	minOccurs="1" maxOccurs="1"/>
       <!-- Who is my opponent -->
-      <xsd:element name="peer" type="xsd:string"
-	minOccurs="1" maxOccurs="1"/>
+      <xsd:element name="peer" type="xsd:string"/>
       <!-- What strategy for graph satisfaction do I use -->
-      <xsd:element name="strategy" type="xsd:string"
-	minOccurs="1" maxOccurs="1"/>
+      <xsd:element name="strategy" type="xsd:string"/>
       <!-- My creddential frontiers -->
       <xsd:element name="frontier" type="tns:frontier"
 	minOccurs="1" maxOccurs="1"/>
       <!-- My opponents credential evidence -->
+      <xsd:element name="oppoCache" type="tns:credentialSet"/>
+    </xsd:sequence>
+  </xsd:complexType>
+
+  <xsd:complexType name="frontier">
+    <xsd:sequence>
       <xsd:element name="oppoCache" type="tns:credentialSet"
-	minOccurs="1" maxOccurs="1"/>
-    </xsd:sequence>
-  </xsd:complexType>
-
-  <xsd:complexType name="frontier">
-    <xsd:sequence>
-      <xsd:element name="oppoCache" type="tns:credentialSet"
 	minOccurs="0" maxOccurs="unbounded"/>
       <xsd:element name="issuerTracesAll" type="tns:roleSet"
@@ -104,6 +97,5 @@
   <xsd:complexType name="weightEntry">
     <xsd:sequence>
-      <xsd:element name="key" type="tns:entityType"
-	minOccurs="1" maxOccurs="1"/>
+      <xsd:element name="key" type="tns:entityType"/>
       <xsd:element name="value" type="xsd:float"
 	minOccurs="0" maxOccurs="1"/>
@@ -120,8 +112,6 @@
   <xsd:complexType name="accessControlFact">
     <xsd:sequence>
-      <xsd:element name="credential" type="xsd:string"
-	minOccurs="1" maxOccurs="1"/>
-      <xsd:element name="requirement" type="tns:entityType"
-	minOccurs="1" maxOccurs="1"/>
+      <xsd:element name="credential" type="xsd:string"/>
+      <xsd:element name="requirement" type="tns:entityType"/>
     </xsd:sequence>
   </xsd:complexType>
@@ -136,12 +126,9 @@
   <xsd:complexType name="acknowledgementPolicyFact">
     <xsd:sequence>
-      <xsd:element name="credential" type="xsd:string"
-	minOccurs="1" maxOccurs="1"/>
-      <xsd:element name="field" type="xsd:string"
-	minOccurs="0" maxOccurs="1"/>
+      <xsd:element name="credential" type="xsd:string"/>
+      <xsd:element name="field" type="xsd:string"/>
       <xsd:element name="value" type="xsd:string"
 	minOccurs="0" maxOccurs="1"/>
-      <xsd:element name="requirement" type="tns:entityType"
-	minOccurs="1" maxOccurs="1"/>
+      <xsd:element name="requirement" type="tns:entityType"/>
     </xsd:sequence>
   </xsd:complexType>
@@ -225,5 +212,4 @@
       <xsd:element name="role" type="tns:simpleRoleType"/>
       <xsd:element name="linkedrole" type="tns:linkedRoleType"/>
-      <xsd:element name="intersection" type="tns:intersectionType"/>
     </xsd:choice>
   </xsd:complexType>
